summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/n/uucp
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/n/uucp')
-rw-r--r--slackware64-current/source/n/uucp/_uucp.tar.gz1
-rw-r--r--slackware64-current/source/n/uucp/policy.h.diff.gz1
-rw-r--r--slackware64-current/source/n/uucp/slack-desc19
-rw-r--r--slackware64-current/source/n/uucp/uucp-1.07.tar.gz1
-rwxr-xr-xslackware64-current/source/n/uucp/uucp.SlackBuild81
5 files changed, 103 insertions, 0 deletions
diff --git a/slackware64-current/source/n/uucp/_uucp.tar.gz b/slackware64-current/source/n/uucp/_uucp.tar.gz
new file mode 100644
index 000000000..19f55595e
--- /dev/null
+++ b/slackware64-current/source/n/uucp/_uucp.tar.gz
@@ -0,0 +1 @@
+b338bfa4182a27efe51cee173dc33d941ae4d86d
diff --git a/slackware64-current/source/n/uucp/policy.h.diff.gz b/slackware64-current/source/n/uucp/policy.h.diff.gz
new file mode 100644
index 000000000..b54c83428
--- /dev/null
+++ b/slackware64-current/source/n/uucp/policy.h.diff.gz
@@ -0,0 +1 @@
+09895405b8588ca130fed446d82cd0412cc8f006
diff --git a/slackware64-current/source/n/uucp/slack-desc b/slackware64-current/source/n/uucp/slack-desc
new file mode 100644
index 000000000..a54bccae4
--- /dev/null
+++ b/slackware64-current/source/n/uucp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+uucp: uucp (Taylor UUCP)
+uucp:
+uucp: Ian Taylor's Unix to Unix copy: mail and news over modem lines.
+uucp: This is the standard UUCP package of the Free Software Foundation.
+uucp:
+uucp: Configured to use HoneyDanBer and/or Taylor configuration files.
+uucp:
+uucp:
+uucp:
+uucp:
+uucp:
diff --git a/slackware64-current/source/n/uucp/uucp-1.07.tar.gz b/slackware64-current/source/n/uucp/uucp-1.07.tar.gz
new file mode 100644
index 000000000..220e6d0b6
--- /dev/null
+++ b/slackware64-current/source/n/uucp/uucp-1.07.tar.gz
@@ -0,0 +1 @@
+e7c93c3aa6468f1b26dd4d9104dbbe8c2949e9ee
diff --git a/slackware64-current/source/n/uucp/uucp.SlackBuild b/slackware64-current/source/n/uucp/uucp.SlackBuild
new file mode 100755
index 000000000..431bfd12b
--- /dev/null
+++ b/slackware64-current/source/n/uucp/uucp.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=1.07
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-uucp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_uucp.tar.gz
+
+cd $TMP
+rm -rf uucp-$VERSION
+tar xvf $CWD/uucp-$VERSION.tar.gz || exit 1
+cd uucp-$VERSION || exit 1
+zcat $CWD/policy.h.diff.gz | patch -p1 --verbose || exit 1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-oldconfigdir=/etc/uucp/oldconfig \
+ --with-newconfigdir=/etc/uucp
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+strip --strip-unneeded $PKG/usr/bin/* $PKG/usr/sbin/*
+
+gzip -9 $PKG/usr/man/man?/*
+gzip -9 $PKG/usr/info/*
+rm -f $PKG/usr/info/dir.gz
+
+# Setuid uucp binaries may only be run by members of the uucp group:
+( cd $PKG/usr/bin
+ chgrp uucp cu uucp uuname uustat uux
+ chmod 4554 cu uucp uuname uustat uux
+ cd ../sbin
+ chgrp uucp uucico uuxqt
+ chmod 4554 uucico uuxqt
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/uucp-$VERSION-$ARCH-$BUILD.txz
+